## org.eclipse.datatools.connectivity.ui.wizards
Class OptionalPropertiesPane

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.datatools.connectivity.ui.wizards.OptionalPropertiesPane

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.graphics.Drawable, org.eclipse.swt.internal.SWTEventListener

    public class OptionalPropertiesPane

extends org.eclipse.swt.widgets.Composite
implements org.eclipse.swt.events.ModifyListener

A generic pane that collects user input of optional properties in delimited name-value pairs.

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`OptionalPropertiesPane(org.eclipse.swt.widgets.Composite parent, int style, boolean isReadOnly)` Constructor.

Method Summary
`void` `loadProperties()` Loads and displays the connection property values found in the Properties specified by `setDriverUIContributorInformation(IDriverUIContributorInformation)`.
`void` `modifyText(org.eclipse.swt.events.ModifyEvent e)`
`void` `setConnectionInformation()` Updates the connection property values in the Properties specified by `setDriverUIContributorInformation(IDriverUIContributorInformation)`.
`void` `setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)` Passes in the IDriverUIContributorInformation to this pane for the properties information.
`boolean` `validateControl(org.eclipse.jface.dialogs.DialogPage page)` Indicates whether all the controls in this pane are in a valid state.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionalPropertiesPane

    public OptionalPropertiesPane(org.eclipse.swt.widgets.Composite parent,
                                  int style,
                                  boolean isReadOnly)

  Constructor.

  Parameters:
    `parent` - a widget which will be the parent of the new instance (cannot be null)
    `style` - the style of widget to construct
    `isReadOnly` - true to use read-only controls; false otherwise

Method Detail

### setDriverUIContributorInformation

    public void setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)

  Passes in the IDriverUIContributorInformation to this pane for the properties information. This method must be called by the client of this pane.

  Parameters:
    `contributorInformation` - cannot be null

### validateControl

    public boolean validateControl(org.eclipse.jface.dialogs.DialogPage page)

  Indicates whether all the controls in this pane are in a valid state.

  Parameters:
    `page` - the dialog page to display an error message if controls are not valid
  Returns:
    true if controls are valid; false otherwise

### modifyText

    public void modifyText(org.eclipse.swt.events.ModifyEvent e)

  Specified by:
    `modifyText` in interface `org.eclipse.swt.events.ModifyListener`

### loadProperties

    public void loadProperties()

  Loads and displays the connection property values found in the Properties specified by `setDriverUIContributorInformation(IDriverUIContributorInformation)`.

### setConnectionInformation

    public void setConnectionInformation()

  Updates the connection property values in the Properties specified by `setDriverUIContributorInformation(IDriverUIContributorInformation)`.